textures/shird_community/desert_skybox
{
	qer_editorimage textures/shird_community/desert_view.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	surfaceparm sky
	q3map_sunExt 1 0.91 0.73 100 65 75 3 16
	q3map_skylight 180 3
	skyparms env/desert/desert - -
}

textures/shird_community/grimmnight_skybox
{
   qer_editorimage textures/shird_community/grimmnight_rt.tga
   q3map_noFog
   q3map_globalTexture
   surfaceparm sky
   surfaceparm noimpact
   surfaceparm nolightmap
   q3map_sunExt 1 0.91 0.73 100 65 75 3 16
   q3map_skylight 180 3
   skyparms env/shird_community/grimmnight - -
   nopicmip
}

textures/shird_community/sky_sand
{
	qer_editorimage textures/shird_community/hipshot_ft.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_sunExt 1 0.91 0.73 100 65 75 3 16
	q3map_skylight 180 3
	skyparms env/shird_community/hipshot 1024 -
}

textures/shird_community/water
{
    qer_trans .5
    q3map_globaltexture
    q3map_surfacelight 30
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm nolightmap
    surfaceparm water
    cull disable
        deformVertexes wave 256 sin 0.5 1.75 .5 .5
    {
        map textures/shird_community/water.tga
        blendFunc GL_dst_color GL_one
        rgbgen identity
        tcmod scale .25 .25
        tcmod scroll .001 .01
    }
    {
        map textures/shird_community/water.tga
        blendFunc GL_dst_color GL_one
        tcmod scale -.25 -.25
        tcmod scroll .001 .01
    }
    {
        map $lightmap
        blendFunc GL_dst_color GL_zero
        rgbgen identity
    }
}

textures/shird_community/ice
{
	qer_trans 0.80
	qer_editorimage textures/shird_community/ice.tga

	surfaceparm slick
	surfaceparm trans
	surfaceparm glass
	surfaceparm nodamage
	


	{
		map textures/shird_community/ice.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/shird_community/ice_effect_dark.tga
		tcgen environment
		blendfunc add
		alphagen const 0.1
	}
}

textures/shird_community/stone04a:q3map
{
    surfaceparm slick
}

models/mapobjects/ts-torch01/fire01
{
	cull disable
	{
		animmap 8 models/mapobjects/ts-torch01/fire01.tga models/mapobjects/ts-torch01/fire03.tga models/mapobjects/ts-torch01/fire05.tga models/mapobjects/ts-torch01/fire07.tga models/mapobjects/ts-torch01/fire09.tga models/mapobjects/ts-torch01/fire11.tga models/mapobjects/ts-torch01/fire13.tga models/mapobjects/ts-torch01/fire15.tga 
		blendfunc add
		rgbGen wave inversesawtooth 0 1 0 8 
	}
	{
		animmap 8 models/mapobjects/ts-torch01/fire02.tga models/mapobjects/ts-torch01/fire04.tga models/mapobjects/ts-torch01/fire06.tga models/mapobjects/ts-torch01/fire08.tga models/mapobjects/ts-torch01/fire10.tga models/mapobjects/ts-torch01/fire11.tga models/mapobjects/ts-torch01/fire14.tga models/mapobjects/ts-torch01/fire16.tga 
		blendfunc add
		rgbGen wave sawtooth 0 1 0 8 
	}
}

models/mapobjects/ts-torch01/torch
{
	{
		map models/mapobjects/ts-torch01/blood.tga
		blendfunc blend
		rgbGen identity
		tcMod scroll 0 0.1
	}
	{
		map models/mapobjects/ts-torch01/torch.tga
		rgbGen Vertex
		alphaFunc GE128
	}
	{
		map models/mapobjects/ts-torch01/torch-g.tga
		blendfunc add
		rgbGen wave sin 0.25 0.75 0 0.3 
	}
}

textures/shird_community/jpblue_floor1b
{
	qer_editorimage textures/com_egyptsoc_floor/jumppad1bb.tga
	q3map_lightimage textures/com_egyptsoc_floor/jumppad1b.blend.tga	
	q3map_surfacelight 1000
	{
		map textures/ctf/blue_telep.tga
                tcmod rotate 180
                tcMod stretch sin .8 0.1 0 .5
	}
	{
		clampmap textures/ctf/jumppadsmall_b.tga
		blendfunc ADD
		tcMod stretch sin 0.95 .7 0 1.25
		rgbGen wave square .5 .5 .25 1.25
		rgbgen identity
	}
	{
		map textures/com_egyptsoc_floor/jumppad1bb.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
	{
		map textures/com_egyptsoc_floor/jumppad1b.blend.tga
		blendfunc ADD
		rgbgen wave sin .8 .2 0 1
	}
}

textures/shird_community/ice2
{
	qer_trans 0.80
	qer_editorimage textures/shird_community/ice.tga

	surfaceparm slick
	surfaceparm trans
	surfaceparm glass
	surfaceparm nodamage
	tessSize 256
	


	{
		map textures/shird_community/ice.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/shird_community/ice_effect_dark.jpg
		blendfunc add
		alphagen const 1
	}
}

textures/shird_community/jpgold_floor1a
{
	qer_editorimage textures/com_egyptsoc_floor/jumppad1ag.tga
	q3map_lightimage textures/com_egyptsoc_floor/jumppad1g.blend.tga	
	q3map_surfacelight 1000
	{
		map textures/com_egyptsoc_sfx/gold_telep.tga
                tcmod rotate 180
                tcMod stretch sin .8 0.1 0 .5
	}
	{
		clampmap textures/com_egyptsoc_sfx/jumppadsmall_g.tga
		blendfunc ADD
		tcMod stretch sin 0.95 .7 0 1.25
		rgbGen wave square .5 .5 .25 1.25
		rgbgen identity
	}
	{
		map textures/com_egyptsoc_floor/jumppad1ag.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
	{
		map textures/com_egyptsoc_floor/jumppad1g.blend.tga
		blendfunc ADD
		rgbgen wave sin .8 .2 0 1
	}
}

textures/shird_community/lig_b064-01a
{
	qer_editorimage textures/com_egyptsoc_sfx/lig_b064-01a.tga
	surfaceparm slick
	{
		map textures/com_egyptsoc_sfx/lig_b064-01a.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	{
		map textures/com_egyptsoc_sfx/lig_b064-01b.blend.tga
		blendfunc add	
                rgbgen wave sin .5 .3 0 1
	}
}

textures/shird_community/flame
{
	qer_editorimage textures/shird_community/flame1.tga
	q3map_surfacelight 2000
		surfaceparm trans
		surfaceparm nomarks
		surfaceparm nonsolid
		surfaceparm nolightmap
		cull none
	{
		animMap 10 textures/shird_community/flame1.tga textures/shird_community/flame2.tga textures/shird_community/flame3.tga textures/shird_community/flame4.tga textures/shird_community/flame5.tga textures/shird_community/flame6.tga textures/shird_community/flame7.tga textures/shird_community/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/shird_community/flame2.tga textures/shird_community/flame3.tga textures/shird_community/flame4.tga textures/shird_community/flame5.tga textures/shird_community/flame6.tga textures/shird_community/flame7.tga textures/shird_community/flame8.tga textures/shird_community/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	
	{
		map textures/shird_community/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}
}

textures/shird_community/glass
{
	qer_trans 0.5
	q3map_lightImage textures/shird_community/glass.tga
	surfaceParm alphaShadow
	surfaceParm noMarks
	surfaceParm trans
	q3map_surfaceLight 2000
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		RGBGen identity
	}
	{
		map textures/shird_community/glass.tga
		blendFunc GL_ONE GL_ONE
		RGBGen wave sin 0.5 0.2 0 0.4
	}
}

textures/shird_community/black
   {
  qer_editorimage textures/shird_community/black

   {
          map  textures/shird_community/black
   }

}

//akutatourney6

textures/shird_community/akuta_bouncer
{
	q3map_lightimage textures/shird_community/akuta_bouncer.tga
	polygonOffset	
	q3map_surfacelight 500

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/shird_community/akuta_bouncer.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/shird_community/bouncer_glow.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .5 .5 0 0.3
	}
}

textures/shird_community/pcircuit
{
	qer_editorimage textures/shird_community/pcircuit.tga
	polygonOffset
	{
		map textures/shird_community/pcircuit.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/shird_community/pcircuit.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .5 .9 0 0.3
		depthfunc equal
	}
}

textures/shird_community/wcircuit
{
	polygonOffset
	{
		map textures/shird_community/wcircuit.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/shird_community/wcircuit.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .5 .6 0 .3
		depthfunc equal
	}
}

textures/shird_community/bu_circuit
{
	qer_editorimage textures/shird_community/bu_circuit.tga	
	polygonOffset
	surfaceparm slick
	{
		map textures/shird_community/bu_circuit.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/shird_community/bu_circuit.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .5 .6 0 .3
		depthfunc equal
	}
}

textures/shird_community/bcircuit
{
	qer_editorimage textures/shird_community/bcircuit.tga	
	polygonOffset

	{
		map textures/shird_community/bcircuit.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/shird_community/bcircuit.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .5 .6 0 .3
		depthfunc equal
	}
}

textures/shird_community/slick_wcircuit
{
	qer_editorimage textures/shird_community/wcircuit.tga	
	polygonOffset
	surfaceparm slick
	{
		map textures/shird_community/wcircuit.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/shird_community/wcircuit.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .5 .6 0 .3
		depthfunc equal
	}
}

textures/shird_community/ooze
{
	qer_editorimage textures/shird_community/ooze.tga
	surfaceparm nomarks
	surfaceparm slime
	q3map_lightsubdivide 100
	q3map_surfacelight 1000
	{
		map textures/shird_community/ooze.tga
		blendfunc add
		tcMod turb 0.3 0.2 1 0.03
		tcMod scale 0.8 0.6
		tcMod scroll -0.01 -0.6
	}
	{
		map textures/shird_community/ooze.tga
		blendfunc add
		tcMod turb 0.2 0.1 1 0.04
		tcMod scale 0.7 0.9
		tcMod scroll 0.02 -0.55
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

textures/shird_community/bu_ooze
{
	qer_editorimage textures/shird_community/bu_ooze.tga
	surfaceparm nomarks
	surfaceparm slime
	q3map_lightsubdivide 100
	q3map_surfacelight 1000
	{
		map textures/shird_community/bu_ooze.tga
		blendfunc add
		tcMod turb 0.3 0.2 1 0.03
		tcMod scale 0.8 0.6
		tcMod scroll -0.01 -0.6
	}
	{
		map textures/shird_community/bu_ooze.tga
		blendfunc add
		tcMod turb 0.2 0.1 1 0.04
		tcMod scale 0.7 0.9
		tcMod scroll 0.02 -0.55
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

textures/shird_community/akuta_geo
{
	q3map_lightimage textures/shird_community/geo_glow.tga
	surfaceparm nomarks
	q3map_surfacelight 4000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/shird_community/akuta_geo.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}
        {
		map textures/shird_community/geo_glow.tga
		blendFunc add
		rgbgen wave sin .575 .025 0 10
	}	
}

textures/shird_community/darkstone
{

        {
		map textures/shird_community/darkstone.tga
                tcmod scroll 0 1
                tcMod turb 0 .25 0 1.6
                tcmod scale 4 4
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
	{
	        map textures/shird_community/darkstone.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	        rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/shird_community/slick_darkstone
{
	qer_editorimage textures/shird_community/darkstone.tga
	surfaceparm slick
        {
		map textures/shird_community/darkstone.tga
                tcmod scroll 0 1
                tcMod turb 0 .25 0 1.6
                tcmod scale 4 4
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
	{
	        map textures/shird_community/darkstone.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	        rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/shird_community/dark_metal
{

        {
		map textures/shird_community/dark_metal.tga
                tcmod scroll 0 1
                tcMod turb 0 .25 0 1.6
                tcmod scale 4 4
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
	{
	        map textures/shird_community/dark_metal.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	        rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/shird_community/akuta_tile
{

        {
		map textures/shird_community/akuta_tile.tga
                tcmod scroll 0 1
                tcMod turb 0 .25 0 1.6
                tcmod scale 4 4
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
	{
	        map textures/shird_community/akuta_tile.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	        rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/shird_community/ironcross_blue
{
	qer_editorimage textures/shird_community/ironcross_blue.tga
	{
		map textures/shird_community/ironcross_blue.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/shird_community/ironcross_blue.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .9 .9 0 .4	
		depthfunc equal
	}
}